Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.drag
Class DragStartEvent

    java.lang.Object
      com.google.gwt.event.shared.GwtEvent<H>
          com.maryanovsky.gwtutils.client.event.SyntheticEvent<H,E>
              com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.SyntheticTouchGestureEvent<DragStartHandler,TouchStartEvent>
                  com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.drag.DragStartEvent

    public class DragStartEvent

extends SyntheticTouchGestureEvent<DragStartHandler,TouchStartEvent>

Represents a drag start event.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Constructor Summary
`DragStartEvent(TouchStartEvent evt, PointView location)` Creates a new `DragStartEvent` from the specified source `TouchStartEvent` and the specified touch location.

Method Summary
`protected void` | `dispatch(DragStartHandler handler)` Dispatches the event to the handler.
`GwtEvent.Type<DragStartHandler>` | `getAssociatedType()` Returns the event type associated with drag start events.
`PointView` | `getLocation()` Returns the location of the touch that caused the drag gesture to start, in the target element's coordinate system.
`static GwtEvent.Type<DragStartHandler>` | `getType()` Returns the event type associated with drag start events.

Methods inherited from class com.maryanovsky.gwtutils.client.event.SyntheticEvent
`getSourceEvent`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DragStartEvent

    public DragStartEvent(TouchStartEvent evt,
                          PointView location)

  Creates a new `DragStartEvent` from the specified source `TouchStartEvent` and the specified touch location.

  Parameters:
    `evt` - The touch start event that triggered this event.
    `location` - The location of the finger in the target element's coordinate system.

Method Detail

### getLocation

    public PointView getLocation()

  Returns the location of the touch that caused the drag gesture to start, in the target element's coordinate system.

### getType

    public static GwtEvent.Type<DragStartHandler> getType()

  Returns the event type associated with drag start events.

### getAssociatedType

    public GwtEvent.Type<DragStartHandler> getAssociatedType()

  Returns the event type associated with drag start events.

  Specified by:
    `getAssociatedType` in class `GwtEvent<DragStartHandler>`

### dispatch

    protected void dispatch(DragStartHandler handler)

  Dispatches the event to the handler.

  Specified by:
    `dispatch` in class `GwtEvent<DragStartHandler>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD